{ config, pkgs, ... }:

{
  imports = [
    ../modules/home
  ];

  home = {
    username = "florian";
    homeDirectory = "/home/florian";

    stateVersion = "24.05";
  };

  programs.home-manager.enable = true;
  nix.settings.experimental-features = [ "nix-command" "flakes" ];

  modules.home = {
    apps = {
      chromium.enable = true;
      flatpak.enable = true;
      jetbrainsToolbox.enable = true;
      kitty.enable = true;
      vscode.enable = true;
    };

    shell = {
      zsh.enable = true;
      atuin.enable = true;
      direnv.enable = true;
      git.enable = true;
    };
  };
}

